-------------------------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
-------------------------------------------------------------------------------------------------
function EVENTINITIALISE_Level()
	Calendar.hour = HOUR_21;
	Game.DisableCutSceneBypass();
	Game.SetCredits(true);
--	Game.SetCutSceneString("Game Over. You've Won");
	Game.SetCutSceneIdentifier(3);
end;

-------------------------------------------------------------------------------------------------
-- Level. Standard level event.
-------------------------------------------------------------------------------------------------
function EVENT_Level()
	local lev = Random.ZeroTo(Game.performance);
	if lev == 2 then
		Camera.SetFlybyMode("gamedata\\cut_scenes\\win_high.tm");
	elseif lev == 1 then
		Camera.SetFlybyMode("gamedata\\cut_scenes\\win_medium.tm");
	else
		Camera.SetFlybyMode("gamedata\\cut_scenes\\win_low.tm");
	end;
	Game.StartFireworks(1);
end;

function CATCHEVENT_FlybyEnded()
	Camera.SetMode(FIXEDCAM);
	Game.EnableCutSceneBypass();
end;

function CATCHEVENT_CutSceneEnded()
	Game.End(true, 1);
end;